package org.springblade.third.iotdevice.feign;


import org.springblade.third.iotdevice.entity.IotSysConf;
import org.springblade.third.iotdevice.vo.IotSysConfVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotSysConfClientFallback implements IIotSysConfClient {
            /**
         * 详情
         */
        @Override
        public IotSysConfVO detail(IotSysConf iotSysConf) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<IotSysConfVO> list(IotSysConf iotSysConf) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( IotSysConf iotSysConf) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( IotSysConf iotSysConf) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( IotSysConf iotSysConf) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
